---
layout: job_family_page
title: "SMB Account Executive Roles"
description: "Learn more about SMB Account Executive roles at Gitlab including requirements, responsibilities and more."
---

## Job Grade

The SMB Account Executive is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

The SMB Account Executive job family includes four distinct positions:

- SMB First Order Account Executive
- SMB Pooled Account Executive
- SMB Expansion Account Executive
- SMB Named Account Executive 


All positions will include the following responsibilities:

- Experience managing an inbound request queue and assisting prospects and customers with online chat, email, and phone correspondence.
- Familiarity with the needs of software development and IT operations teams.
- Basic understanding of application lifecycle management including the technology commonly used in application lifecycle management.
- Basic understanding of DevOps practices, including the cultural shift it represents and the benefits to building and shipping software upon adopting those practices.
- Experience in a role that puts customer needs above all else.
- Product demo experience.
- Working knowledge of software development methodologies such as Waterfall, Agile, and Conversational Development.
- Comfortable with frequent client phone calls to explain hard-to-understand concepts and deployment options.

Specific responsibilities per role are outlined below

####SMB First Order Account Executive

As an SMB First Order Account Executive, you will be one of the first interactions a future customer has with GitLab. Your ability to successfully help them evaluate our product for their need and clearly define their buying process is critical to ensuring a good first experience with GitLab, which typically leads to higher customer retention and continued growth.

####SMB Pooled Account Executive

As an SMB Pooled Account Executive, you will work with customers renewing their subscription with GitLab to ensure they have a successful renewal as well as helping them evaluate any additional product evaluations that they need. Responsibilities include engaging with customers prior to their renewal, evaluating their current utilization of GitLab and making recommendations to ensure a successful renewal and continued adoption of GitLab based on their needs. Acquiring new customers can cost up to five times more than retaining existing customers, and your ability to help our customers renew their subscription and get the support they need will be critical to our long term success. 

####SMB Expansion Account Executive

As an SMB Expansion Account Executive, you will work with customers immediately following their first purchase through their first renewal. Your ability to support them to successfully implement their recent purchase, helping them get answers to product related questions as well as understand their immediate and longer term company goals is critical to ensuring their experience with GitLab is successful and will lead to a successful renewal and/or expanded use of GitLab products and services.

####SMB Named Account Executive

As an SMB Named Account Executive you will be responsible for managing customers who have previously renewed with GitLab and expect to continue growing their adoption of our products and services to meet their business needs. You will need to be able to build out intricate customer success plans and have a good understanding of our customers business needs and what GitLab products can support them at each stage of their business lifecycle. Your ability to make strategic recommendations and help them understand how to continue growing by using GitLab is critical to ensuring their continued success as an organization.

## Requirements
- Excellent spoken and written English
- You are obsessed with making customers happy. You know that the slightest trouble in getting started with a product can ruin customer happiness.
- Affinity with software and the software development process
- Passionate about technology and learning more about GitLab
- Demonstrated progressive experience in sales, marketing, or customer service
- Experience with CRM and email automation software is highly preferred
- An understanding of B2B software, Open Source software, and the developer product space is preferred
- Be ready to learn how to use GitLab and Git
- You share our values, and work in accordance with those values
- Ability to use GitLab

<%= partial("job-families/sales/performance", :locals => { :roleName => "SMB Customer Advocate" }) %>

## SMB Operations

**Renewal/account intake:**

Renewal/account intake involves responding to customers that contact GitLab through the following channels:
1. Salesforce Cases
2. Zendesk
3. Direct email (customers, partners)

The instructions below describe the basic process for properly handling inquiries from each of these channels.

**Salesforce Cases** (proactively monitor, check at least three times daily):
* Navigate to the "Cases" tab in [Salesforce](https://gitlab.my.salesforce.com/).
* Create custom view for managing all cases assigned to your alias specifically. (Instructions for creating new view coming soon.)
* Review [this view](https://gitlab.my.salesforce.com/500?fcf=00B61000004LtSU) of unassigned cases and reassign to yourself any within your [territory](https://about.gitlab.com/handbook/business-ops/).
* Navigate to your cases view in SFDC, filter for most recent cases. With any open cases, please work according to the following steps:
  *  Open case > Open account.
  *  If the account has an owner that is not you or is Sales Admin and not within your territory, navigate back to case, reassign it to the proper account owner based on territory, and chatter them.
  *  If the account is owned by you or Sales Admin and is within your territory, check for activity history on the case, account, and contact.
  *  If a colleague has responded to the case or is in touch with the contact, reassign the case to them.
  *  If there is no activity history, respond to case and continue communication with customer via email.
  *  After responding, update case status from "New" to "Closed". This ensures only untouched cases will remain in your queue.

**Zendesk** (proactively monitor, check at least three times daily):
* Navigate to [Zendesk](https://gitlab.zendesk.com/).
* Click "Views" and choose "Upgrades, Renewals & AR (refunds)".
  * Tickets are automatically sorted from greatest urgency to least, start from tickets at the top of the list.
  * Open ticket, then review the activity log. If a sales colleague has already been in touch and this customer is awaiting another reply, ping your colleague on Slack with a link to this ticket if an [SLA breach](/handbook/support/workflows/zendesk_admin.html#service-level-agreements) is imminent.
  * If there is no activity history on the ticket, use the contact's email address from Zendesk and check SFDC to see who ticket should be routed to.
  * When the account is in your territory, reassign the ticket to yourself (if not already in your name), and respond and/or update the ticket status accordingly.

Ticket status can be updated in the following ways:
* "*Submit as Pending*" if you have written a response to a prospect and are expecting their response.
* "*Submit as Solved*" if the ticket has been resolved and can be closed (i.e. no response is expected from the prospect).
* "*Submit as Open*" if the account is outside of SMB segmentation; make sure to cc the appropriate account owner within the ticket. Ping the account manager on Slack notifying them of the active ticket that requires their response.
  * If the account is requesting a refund or billing support, disposition the ticket to the Accounts/Receivable Refunds form on the left panel and "*Submit as Open*".

**Direct email** (proactively monitor, check at least three times daily):
*  If a Customer or Partner emails you directly, check SFDC for account ownership and introduce the correct colleague.
*  If the account is in your territory, continue correspondence via email.

### Pitch and Negotiation

#### Pitch:

**Here are some basic resources for pitching Gitlab and our different product offerings:**
* [GitLab product messaging](https://about.gitlab.com/handbook/marketing/strategic-marketing/messaging/)
* [GitLab product tiers](https://about.gitlab.com/handbook/marketing/strategic-marketing/tiers/#overview)
* [Tier Messaging](https://about.gitlab.com/handbook/marketing/strategic-marketing/tiers/#tier-messaging)
* [Product Feature Comparison](https://about.gitlab.com/pricing/self-managed/feature-comparison/)
* [Product Pricing](https://about.gitlab.com/pricing/)
* [DevOps Tools Landscape](https://about.gitlab.com/devops-tools/)


**Pitching GitLab on the SMB team:**

Normally we do not use a “pitch deck” given the nature of why SMB customers are coming to us at this time. The vast majority of customers that are wanting to speak with us have already done their research on GitLab and are familiar with the product. Therefore, it is not currently necessary to present company details and product vision at the SMB level for the bulk of our customer conversations. It is our job to validate their decision to go with GitLab and create as much value as possible.

The “pitch” is mainly dependent on listening to the customers needs and figuring out which product is right for them.



* Use discovery to help build a story and collect relevant information in order to map out the features and value to focus on:

    * Which tools are they looking to replace with GitLab?
    * What is their primary driver for looking at GitLab in the first place?



* A little bit on [Creating Value](https://about.gitlab.com/company/pricing/#value-creation)

    * Size and Scope
        * Scope- Find out how many components of GitLab they want to use

        *  Size- The larger the organization, the more value GitLab provides


* A single application sets up a small or medium sized business for a scalable situation as their organization grows

* After the initial round of questioning, summarize your findings to the customer and prescribe how GitLab can solve their problem and what product tier they require
    * Are they interested in Epics? Yes → Ultimate
    * Do they have a need for security? Yes → Ultimate


**Pitching for the upgrade:**

When dealing with a potential upgrade, it is again important to listen to the customers needs. If no need to upgrade currently exists, it is possible to uncover one.

**Drivers for each product edition:**

Below are some common drivers the SMB team has seen for a customer to gravitate towards a certain product edition. It is important to be aware of these drivers when determining and suggesting the right product tier for both new and current customers.


* To Premium


    1. All of the developer features
        * Maven Repository - [more info](https://docs.gitlab.com/ee/user/packages/maven_repository/index.html)
        * Security Features
            * Merge request approvals - [more info](https://about.gitlab.com/blog/2015/07/29/feature-highlight-merge-request-approvals/)
            * Protected Environments - [more info](https://about.gitlab.com/blog/2018/09/22/gitlab-11-3-released/#protected-environments)



    2. Occasionally they are looking for more advanced project management features

        * CI/CD for external repositories
            * May have their repository in BitBucket or GitHub and need to upgrade in order to support that
            * [GitLab CI for GitHub](https://about.gitlab.com/solutions/github/)


    3. Additional CI/CD minutes (Silver only)

        * This decreased when we saw CI minutes on demand get introduced - [more info here](https://docs.gitlab.com/ee/user/admin_area/settings/continuous_integration.html#extra-shared-runners-pipeline-minutes-quota)


* To Ultimate
    1. Need to provide the value of a single application for their SDLC (SCM, CI, Project Management, Security)
        * Reduces tool chain cost and friction
    2. Project Management
        * Direct competition with Jira
    3. Security
        * Determine the importance of security
            * More regulated industries tend to be more interested in Ultimate because of their security needs
    4. [Why Ultimate?](https://docs.google.com/presentation/d/1TP5cXH5Nr0VkH7mE6M_-DFXT_Jnq7o5LPxuMUz2paI4/edit#slide=id.g2ee90b3719_0_0)


### Negotiation:

**Some resources for negotiation:**
* [Our Pricing Model](https://about.gitlab.com/company/pricing/)
* [Common Negotiation Mistakes](https://about.gitlab.com/handbook/sales-training/#11-sales-negotiation-mistakes-you-might-be-making-)
* [Pricing Approval Matrix](https://docs.google.com/document/d/1-8TG8YLAQB-465mFLYnX3wkB6C6-0aI1A4CzdfjpacU/edit?pli=1)
* [Handling Price Objections](https://about.gitlab.com/handbook/sales-training/#a-two-step-formula-for-handling-pricing-objections-)
* [More on Price Objections](https://about.gitlab.com/handbook/sales-training/#price-objections---the-script-that-always-closes-)
* [Process for Agreement Terms Negotiations](https://about.gitlab.com/handbook/business-ops/order-processing/#process-for-agreement-terms-negotiations-when-applicable)


1. Premium edition - we typically do not negotiate, but we can sometimes make exceptions in special cases such as multi-year agreements and high volume deals

    * By default, we do not offer any discounts

        * If they are unhappy with that, bring up the idea of multi-year pricing

            * Multi-year pricing can be especially helpful if the company plans on adding more users in the following year

    * Bring up the idea of discussing Ultimate


3. Ultimate

    * For customers who are coming up on renewal and are on early adopter pricing, there is an increase to our current Ultimate price

        * In these cases, refer to the pricing approval matrix to reference how you can assist them

    * Always bring up multi-year deals and more users added in advance

    * It’s important to identify the customer’s needs around Ultimate to see how they will be using it. This is why proving the value of Ultimate prior to negotiating is crucial.

## Career Ladder

The next step in the SMB Account Executive job family is to move to the [Mid Market Account Executive](/job-families/sales/account-executive) job family or the [Sales Management](https://about.gitlab.com/job-families/sales/area-sales-manager/) Job Family.

## Hiring Process
Avoid the confidence gap; you do not have to match all the listed requirements exactly to apply. Our hiring process is described in more detail in our [hiring handbook](/handbook/hiring/).

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/company/team/).

* Selected candidates will be invited to the following:
  1. A phone or video conference screen with the recruiter. This takes 30 minutes and helps our recruiting team align your interests and qualifications with the right opening on the sales team.
  1. A video conversation with a potential colleague. This takes 45 minutes and helps us understand your sales experience, style, and skills.
  1. A video conversation with the hiring manager. This takes 30 minutes and helps the sales manager understand what you want to do next in your career and how that might intersect with GitLab and the Commercial sales team.
  1. A video conversation reviewing your professional experience chronologically. This takes from 45 min to an hour and allows your hiring manager to understand the similarities and differences of past roles you’ve had to the role we are considering for you
  1. A mock GitLab customer call. The mock call itself is limited to 15 minutes. You are given a few minutes to ask any final questions before going into the mock call. After the mock call, we use the remainder of the half hour to understand feedback, how it felt to sell GitLab, and ask any questions we have remaining about your candidacy.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
